%define api 0.4
%define major   1
%define libname %mklibname obby %api %major
%define libname_devel %mklibname obby -d

Summary:    A library which provides synced document buffers
Name:       obby
Version:    0.4.8
Release:    %mkrel 10
URL:        http://gobby.0x539.de/
License:    GPLv2+
Source0:    http://releases.0x539.de/%{name}/%{name}-%{version}.tar.gz
Group:      System/Libraries
BuildRequires: pkgconfig(avahi-client) >= 0.6
BuildRequires: pkgconfig(net6-1.3) >= 1.3.3
BuildRequires: pkgconfig(sigc++-2.0)

%description
%{libname} is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.

%package -n %libname
Summary:    A library to ease the development of network-based applications
Group:      System/Libraries
Obsoletes:  %mklibname obby 0.4
Requires:   %{name} >= %{version}

%description -n %libname
%{libname} is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.

%package -n %libname_devel
Summary:    Development files for %libname
Group:      System/Libraries
Provides:   lib%{name}-devel = %version-%release
Requires:   %libname = %version
Obsoletes:  %mklibname -d obby 0.4

%description -n %libname_devel
Development files, header and includes for %libname.

%prep
%setup -q

# make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE(\(.*\)),AM_INIT_AUTOMAKE(\[\1 subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-zeroconf --enable-ipv6 --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%_libdir/*.la

%find_lang %{name}

%files -f %{name}.lang

%files -n %libname
%doc ChangeLog README TODO NEWS AUTHORS 
%_libdir/*-%{api}.so.%{major}*

%files -n %libname_devel
%_includedir/%name/
%_libdir/*.so
%_libdir/pkgconfig/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.4.8-10.mga8
+ Revision: 1515654
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.8-9.mga7
+ Revision: 1299822
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.4.8-8.mga7
+ Revision: 1239468
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 0.4.8-7.mga6
+ Revision: 956275
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 0.4.8-6.mga6
+ Revision: 870639
- rebuild with gcc 5
- compile C++ code with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 0.4.8-5.mga5
+ Revision: 747424
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.8-4.mga5
+ Revision: 682961
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.8-3.mga4
+ Revision: 528595
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 fwang <fwang> 0.4.8-2.mga4
+ Revision: 446364
- add translations
- cleanup spec

* Sat Jan 12 2013 umeabot <umeabot> 0.4.8-2.mga3
+ Revision: 361094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 28 2012 ovitters <ovitters> 0.4.8-1.mga2
+ Revision: 215744
- new version 0.4.8

* Thu Sep 01 2011 dmorgan <dmorgan> 0.4.7-2.mga2
+ Revision: 137661
- Remove .la files
+ ovitters <ovitters>
- clean spec file (name, buildroot, defattr)
- imported package obby


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-2mdv2010.0
+ Revision: 440359
- rebuild

* Fri Mar 06 2009 Michael Scherer <misc@mandriva.org> 0.4.7-1mdv2009.1
+ Revision: 349847
- update to 0.4.7

* Tue Nov 11 2008 Funda Wang <fundawang@mandriva.org> 0.4.6-1mdv2009.1
+ Revision: 302058
- fix libname
- Neew version 0.4.6

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.5-3mdv2009.0
+ Revision: 254157
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 0.4.5-1mdv2008.1
+ Revision: 158585
- New version 0.4.5

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 0.4.4-2mdv2008.1
+ Revision: 157804
- new devel package policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Michael Scherer <misc@mandriva.org> 0.4.4-1mdv2008.0
+ Revision: 66423
- new version
- Import obby



* Sat Sep 23 2006 Michael Scherer <misc@mandriva.org> 0.4.1-2mdv2007.0
- enable zeroconf, ipv6

* Mon Sep 04 2006 Michael Scherer <misc@mandriva.org> 0.4.1-1mdv2007.0
- New version 0.4.1

* Tue Dec 20 2005 Michael Scherer <misc@mandriva.org> 0.3.0-1mdk
- New release 0.3.0

* Fri Dec 16 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.0-0.rc3.1mdk
- New release 0.3.0rc3

* Thu Nov 10 2005 Michael Scherer <misc@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 0.2.0-1mdk
- first package 
